import type { BannerItem } from '@/types/home'
import { http } from '@/utils/http'

/**
 * 获取首页轮播图
 * @param distributionSite - 广告区域展示位置: 1 为首页（默认值）; 2 为商品分类页
 * @returns 轮播图数据
 */
export const getHomeBanner = (distributionSite = 1) => {
  return http<BannerItem[]>({
    url: '/home/banner',
    method: 'GET',
    data: {
      distributionSite,
    },
  })
}
